#ifndef __NODE_H__
#define __NODE_H__

#include "NodeInterface.h"

class node : public NodeInterface {
    public:
        int data;
        int height;
        node* right;
        node* left;
        node(int data);
        int getData();
        NodeInterface * getLeftChild();
        NodeInterface * getRightChild();
        int getHeight();
};
#endif
